/* tr_close - free a tree or subtree */
#include "tree.h"
void tr_close(plt)
	TR_NODE **plt;				/* ptr to link-in of tree */
	{
	TR_NODE *pt;				/* ptr to root of tree */

	pt = *plt;					/* pt now points to root of tree */
	if (pt == NULL)				/* if link-in is NULL, */
		return;					/* nothing to do, so return */
	TR_CLOSE(&pt->left);		/* free left subtree */
	TR_CLOSE(&pt->right);		/* free right subtree */
	free(pt);					/* free the node itself */
	}
